commit 3ecbc42b79dfb334efe64baa17380b4e34f0f533
Author: freddy77 <freddy77>
Date:   Fri Feb 6 14:26:54 2009 +0000

    fix minor test issues

diff --git a/ChangeLog b/ChangeLog
index e0e19c6..de609a5 100644
--- a/ChangeLog
+++ b/ChangeLog
@@ -1,3 +1,7 @@
+Fri Feb  6 15:25:10 CET 2009    Frediano Ziglio <freddy77_A_gmail_D_com>
+	* misc/freetds_autobuild: remove openjade warning
+	* src/tds/unittests/convert.c: make valgrind happy
+
 Fri Feb  6 12:11:27 CET 2009    Frediano Ziglio <freddy77_A_gmail_D_com>
 	* src/tds/unittests/convert.c: fix convert test
 
@@ -1286,4 +1290,4 @@ Wed Jan  9 19:54:43 EST 2008	JK Lowden <jklowden@freetds.org>
 	* ChangeLog  truncated because of release
 	* ChangeLog-0.82 added because of release
 	
-$Id: ChangeLog,v 1.2723 2009/02/06 11:12:01 freddy77 Exp $
+$Id: ChangeLog,v 1.2724 2009/02/06 14:26:54 freddy77 Exp $
diff --git a/misc/freetds_autobuild b/misc/freetds_autobuild
index 8b6c790..17b9ab1 100755
--- a/misc/freetds_autobuild
+++ b/misc/freetds_autobuild
@@ -159,7 +159,7 @@ fi
 
 # upload our test results
 cd logs
-perl -pe "\$_ = '' if \$_ =~ /^2:bcp.c: In function 'bcp_colfmt'|^2:bcp.c:\\d+: warning: suggest parentheses around && within \\|\\|/" < log.txt | ../misc/online.pl
+perl -pe "\$_ = '' if \$_ =~ /^2:bcp.c: In function 'bcp_colfmt'|^2:bcp.c:\\d+: warning: suggest parentheses around && within \\|\\||^2:.*content model is mixed but does not allow #PCDATA everywhere/" < log.txt | ../misc/online.pl
 upload "$OUTDIR/test" '*.html'
 cd ..
 
diff --git a/src/tds/unittests/convert.c b/src/tds/unittests/convert.c
index 2cfb472..81c103a 100644
--- a/src/tds/unittests/convert.c
+++ b/src/tds/unittests/convert.c
@@ -32,7 +32,7 @@
 #include <sys/time.h>
 #endif
 
-static char software_version[] = "$Id: convert.c,v 1.25 2009/02/06 11:12:01 freddy77 Exp $";
+static char software_version[] = "$Id: convert.c,v 1.26 2009/02/06 14:26:54 freddy77 Exp $";
 static void *no_unused_var_warn[] = { software_version, no_unused_var_warn };
 
 int g_result = 0;
@@ -292,6 +292,9 @@ main(int argc, char **argv)
 		case SYBINT8:
 			tds_int8 = cr.bi;
 			break;
+		case SYBUNIQUE:
+			tds_unique = cr.u;
+			break;
 		default:
 			break;
 		}

